Bug 129823 - update x11-wm/pekwm to 0.1.9
update x11-wm/pekwm to 0.1.9
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 18:10 UTC by hrkfdn
Modified: 2009-01-08 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.66 KB, patch)
2008-12-21 18:10 UTC, hrkfdn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hrkfdn 2008-12-21 18:10:00 UTC
This patch updates pekwm to 0.1.9, a maintenance release with bug fixes and feature enhancements.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-12-21 18:10:08 UTC
Maintainer of x11-wm/pekwm,

Please note that PR ports/129823 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129823

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-12-21 18:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2008-12-21 18:13:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 hrkfdn 2008-12-23 17:32:46 UTC
This patch needs to be applied after the first one. A second release has
been pushed out, to fix critical bugs.

--- pekwm-a.diff begins here ---
diff -Naur ./Makefile ../pekwm/Makefile
--- ./Makefile    2008-12-23 16:47:38.000000000 +0100
+++ ../pekwm/Makefile    2008-12-23 16:47:44.000000000 +0100
@@ -6,7 +6,7 @@
 #

 PORTNAME=    pekwm
-PORTVERSION=    0.1.9
+PORTVERSION=    0.1.9a
 PORTEPOCH=    1
 CATEGORIES=    x11-wm
 MASTER_SITES=    http://pekwm.org/projects/3/files/ \
diff -Naur ./distinfo ../pekwm/distinfo
--- ./distinfo    2008-12-23 16:47:38.000000000 +0100
+++ ../pekwm/distinfo    2008-12-23 16:47:48.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (pekwm-0.1.9.tar.bz2) = 13aab792a5eb25673f4e61d8a0016edb
-SHA256 (pekwm-0.1.9.tar.bz2) =
1505492ae9c81e7160a73ddc39b8d10610d2195a51563a04a76d0d5d2ad81b8a
-SIZE (pekwm-0.1.9.tar.bz2) = 354440
+MD5 (pekwm-0.1.9a.tar.bz2) = 78a63a3630ef5ef9f191b888086a79af
+SHA256 (pekwm-0.1.9a.tar.bz2) =
e25d50646f2571b525da1f3833e3be8d427bb14c0204df4c80a21a3e90eebe7c
+SIZE (pekwm-0.1.9a.tar.bz2) = 354338
--- pekwm-a.diff ends here ---
Comment 5 hrkfdn 2008-12-24 09:54:02 UTC
And here goes the second try: *grrrr*

--- pekwm-2.diff begins here ---

diff -Naur ./Makefile ../pekwm/Makefile
--- ./Makefile	2008-12-23 16:47:38.000000000 +0100
+++ ../pekwm/Makefile	2008-12-23 16:47:44.000000000 +0100
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	pekwm
-PORTVERSION=	0.1.9
+PORTVERSION=	0.1.9a
 PORTEPOCH=	1
 CATEGORIES=	x11-wm
 MASTER_SITES=	http://pekwm.org/projects/3/files/ \
diff -Naur ./distinfo ../pekwm/distinfo
--- ./distinfo	2008-12-23 16:47:38.000000000 +0100
+++ ../pekwm/distinfo	2008-12-23 16:47:48.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (pekwm-0.1.9.tar.bz2) = 13aab792a5eb25673f4e61d8a0016edb
-SHA256 (pekwm-0.1.9.tar.bz2) = 1505492ae9c81e7160a73ddc39b8d10610d2195a51563a04a76d0d5d2ad81b8a
-SIZE (pekwm-0.1.9.tar.bz2) = 354440
+MD5 (pekwm-0.1.9a.tar.bz2) = 78a63a3630ef5ef9f191b888086a79af
+SHA256 (pekwm-0.1.9a.tar.bz2) = e25d50646f2571b525da1f3833e3be8d427bb14c0204df4c80a21a3e90eebe7c
+SIZE (pekwm-0.1.9a.tar.bz2) = 354338

--- pekwm-2.diff ends here ---
Comment 6 hrkfdn 2008-12-24 14:08:35 UTC
By the way, nothing personal of course, but if you are going to stay
busy for quite a while, I'm more than honored to maintain this port :)
Comment 7 Martin Wilke freebsd_committer 2009-01-08 15:56:59 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter freebsd_committer 2009-01-08 15:57:00 UTC
miwi        2009-01-08 15:56:50 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/pekwm         Makefile distinfo 
  Removed files:
    x11-wm/pekwm/files   patch-Frame.cc 
  Log:
  - Update to 0.1.9a
  
  PR:             129823
  Submitted by:   "Henrik Friedrichsen" <hrkfdn@gmail.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.30      +1 -1      ports/x11-wm/pekwm/Makefile
  1.16      +3 -3      ports/x11-wm/pekwm/distinfo
  1.2       +0 -46     ports/x11-wm/pekwm/files/patch-Frame.cc (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"